HTTPS and Rails under Debian Stable

Hi,

Does anyone know how I can get the ‘https’ module that is part of the
standard rails distribution to be included when I install rails with
debian’s apt-get command.

Normal apt-get install (with debian stable) leaves this module out for
some reason. I tried adding it myself but I destroyed the system.

Anyone know of a clean, easy way to add it?

Thanks,
Scott

Scott,

Don’t apt-get install rails. Just get the dependencies you need for
rails via apt-get and then install gem from source. Then use gem to
install rails and related ruby code. Gem handles ruby packaging a whole
lot better than apt does. As for fixing your situation, do a clean
uninstall of the broken packages and start again as suggested.

This is what I’ve always done on Debian (and derived - eg Ubuntu)
distros.

Hope this helps,

Nicholas

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs